<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.58
Name: Social History Section - coded
Description: The social history section shall contain a narrative description of the person’s beliefs, home life, community life, work life, hobbies, and risky habits. It shall include Social History Observations.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250">
   <title>Social History Section - coded</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]"
         id="d20e5194-false-d38536e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:entry/hl7:observation[hl7:code/@code=('1.20')])=1">(cdachsmcp_section_SocialHistoryCoded): 
        The field 1.20 (Mandat pour inaptitude) is required in exactly one entry.
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:entry/hl7:observation[hl7:code/@code=('1.21')])=1">(cdachsmcp_section_SocialHistoryCoded): 
        The field 1.21 (Plan de crise conjoint) is required in exactly one entry.
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:entry/hl7:observation[hl7:code/@code=('7.1')])=1">(cdachsmcp_section_SocialHistoryCoded): 
        The field 7.1 (Date de l’évaluation) is required in exactly one entry.
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:entry/hl7:observation[hl7:code/@code=('81334-5')])=1">(cdachsmcp_section_SocialHistoryCoded): 
        The field 7.5 (Projet de la personne) is required in exactly one entry.
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58']) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58']) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24']) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24']) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1']) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1']) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16']) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16']) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]) &gt;= 1">(cdachsmcp_section_SocialHistoryCoded): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58']
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58']"
         id="d20e5196-false-d38643e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.58')">(cdachsmcp_section_SocialHistoryCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.58'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24']
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24']"
         id="d20e5201-false-d38658e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.24')">(cdachsmcp_section_SocialHistoryCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.24'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1']
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1']"
         id="d20e5206-false-d38673e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.16.1')">(cdachsmcp_section_SocialHistoryCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16']
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16']"
         id="d20e5211-false-d38688e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.16')">(cdachsmcp_section_SocialHistoryCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.16'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']"
         id="d20e5216-false-d38703e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.15')">(cdachsmcp_section_SocialHistoryCoded): The value for root SHALL be '2.16.840.1.113883.10.20.1.15'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5222-false-d38718e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="@nullFlavor or (@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Social history' and @codeSystemName='LOINC')">(cdachsmcp_section_SocialHistoryCoded): The element value SHALL be one of 'code '29762-2' codeSystem '2.16.840.1.113883.6.1' displayName='Social history' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:title[not(@nullFlavor)]"
         id="d20e5230-false-d38734e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="not($languageCode='ge') or (text()='Sozialanamnese')">(cdachsmcp_section_SocialHistoryCoded): The German title must read 'Sozialanamnese'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="not($languageCode='fr') or (text()='Anamnèse sociale')">(cdachsmcp_section_SocialHistoryCoded): The French title must read 'Anamnèse sociale'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="not($languageCode='en') or (text()='Social History')">(cdachsmcp_section_SocialHistoryCoded): The English title must read 'Social History'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_section_SocialHistoryCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:text[not(@nullFlavor)]"
         id="d20e5259-false-d38744e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.58-2017-09-13T165250.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_SocialHistoryCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]
Item: (cdachsmcp_section_SocialHistoryCoded)
--></pattern>
