<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.60
Name: Allergies and other Adverse Reactions Section - plain text
Description: The allergies and other adverse reactions section shall contain a narrative description of the substance intolerances and the associated adverse reactions suffered by the patient. It shall include entries for intolerances and adverse reactions as described in the Entry Content Modules.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847">
   <title>Allergies and other Adverse Reactions Section - plain text</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]"
         id="d20e5400-false-d39083e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]"
         id="d20e5441-false-d39106e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60']) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60']) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6']) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6']) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13']) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13']) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60']
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60']"
         id="d20e5443-false-d39176e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.60')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The value for root SHALL be '2.16.756.5.30.1.1.10.3.60'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6']
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6']"
         id="d20e5448-false-d39191e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.6')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The value for root SHALL be '2.16.756.5.30.1.1.10.3.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13']
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13']"
         id="d20e5453-false-d39206e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.13')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']"
         id="d20e5458-false-d39221e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.2')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The value for root SHALL be '2.16.840.1.113883.10.20.1.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5463-false-d39236e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Allergies and adverse reactions Document' and @codeSystemName='LOINC')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The element value SHALL be one of 'code '48765-2' codeSystem '2.16.840.1.113883.6.1' displayName='Allergies and adverse reactions Document' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:title[not(@nullFlavor)]"
         id="d20e5472-false-d39252e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="not($languageCode='ge') or (text()='Allergien und Unverträglichkeiten')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The German title must read 'Allergien und Unverträglichkeiten'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="not($languageCode='fr') or (text()='Allergies et autres réactions indésirables')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The French title must read 'Allergies et autres réactions indésirablese'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="not($languageCode='en') or (text()='Allergies and other Adverse Reactions')">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): The English title must read 'Allergies and other Adverse Reactions'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.60
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]/hl7:text[not(@nullFlavor)]"
         id="d20e5501-false-d39262e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.60-2017-09-13T194847.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AllergiesOtherAdverseReactionsPlainText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
